
#include <stdio.h>
#include <stdlib.h>
#include <conio.h>
#include "..\..\include/squall.h"

// 
#define PRIORITY_NORMAL 50    //	 
#define MIN_DIST 50           //	   
#define MAX_DIST 500          //	   
#define HERO_FOOTS 5          //	     

//  
enum {
	HERO_FOOT_1 = 1,
	HERO_FOOT_2,
	HERO_FOOT_3,
	HERO_FOOT_4,
	HERO_FOOT_5,
};

//  
int main(int argc, char* argv[])
{
   // 
	squall_sample_default_t def;
   float                   pos[3];
   int                     key = 0;

   //   
   if (!SQUALL_Init(0))
   {
      printf("Error init Squall Sound System !\n");
      return 0;
   }

	//   
	def.Frequency	   = 0;
	def.Pan			   = 50;
	def.Volume		   = 100;
	def.Priority      = PRIORITY_NORMAL;
	def.MinDist		   = MIN_DIST;
	def.MaxDist       = MAX_DIST;

	//      1
	def.SampleGroupID = 1;
	SQUALL_Sample_LoadFile("..\\media\\step_01.wav", 1, &def);
	SQUALL_Sample_LoadFile("..\\media\\step_02.wav", 1, &def);
	SQUALL_Sample_LoadFile("..\\media\\step_03.wav", 1, &def);
	SQUALL_Sample_LoadFile("..\\media\\step_04.wav", 1, &def);
	SQUALL_Sample_LoadFile("..\\media\\step_05.wav", 1, &def);

   pos[0] = 0;
   pos[1] = 0;
   pos[2] = 0;

   do
   {
      if (kbhit())
      {
         key = getch();

         if (key == ' ')
//            SQUALL_SampleGroup_Play(1, 0, 0, 1);
            SQUALL_SampleGroup_Play3D(1, 0, 0, 1, pos, 0);
      }
   } while (key != 27);

   //   
   SQUALL_Sample_UnloadAll();

   //  
   SQUALL_Free();

	return 0;
}

